/*--------------------------------------
  3. Button Styles
--------------------------------------*/

.button,
.primary_button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: var(--pco-body-font-size);
    line-height: 1.6em;
    font-weight: 500;
    padding: 10px 24px;
    color: var(--pco-white-color);
    background-color: var(--pco-primary-color);
    border: 1px solid var(--pco-primary-color);
    border-radius: 100px;
    letter-spacing: 0.02em;
    text-align: center;
    outline: none;
    position: relative;
    z-index: 1;
    overflow: hidden;
    box-shadow: 0 0 0 0 transparent inset;
    filter: brightness(1);
    gap: 8px;
    text-transform: capitalize;
}

.button:not(:disabled):hover,
.primary_button:not(:disabled):hover {
    background-color: var(--pco-primary-color);
    border-color: var(--pco-primary-color);
    color: #ffffff;
}

input.button:hover {
    color: var(--pco-white-color);
}

.button .x-icon,
.primary_button .x-icon {
    margin-left: 8px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    animation: iconMove ease-out 0.4s;
}

.button:hover .x-icon,
.primary_button:hover .x-icon {
    animation: iconMove ease-out 0.4s;
}

.button img,
.primary_button img {
    margin-left: 10px;
    margin-right: -5px;
    width: 25px;
}

.button.rounded,
.primary_button.rounded {
    border-radius: 100px !important;
}

.small-button {
    padding: 10px 24px;
    font-size: 14px;
}

.button.outline,
.primary_button.outline {
    background-color: #ffffff;
    color: var(--pco-primary-color);
}

.button.outline:before,
.primary_button.outline:before {
    background-color: var(--pco-primary-color);
}

.button.outline:hover,
.primary_button.outline:hover {
    background-color: var(--pco-primary-color);
    border-color: var(--pco-primary-color);
    color: #ffffff;
}

.button.dark,
.primary_button.dark {
    background-color: var(--pco-primary-color);
    border-color: var(--pco-primary-color);
    color: white;
}

.button.dark.outline,
.primary_button.dark.outline {
    background-color: white;
    border-color: var(--pco-primary-color);
    color: var(--pco-primary-color);
}

.button.dark:hover,
.primary_button.dark:hover {
    background-color: var(--pco-primary-color);
    border-color: var(--pco-primary-color);
    color: #ffffff;
}

.button.dark.outline:hover,
.primary_button.dark.outline:hover {
    background-color: var(--pco-primary-color);
    border-color: var(--pco-primary-color);
    color: white;
}